Bug 202560 - [WebAuthn] Move the mock testing entrance to Internals
Summary: [WebAuthn] Move the mock testing entrance to Internals
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jiewen Tan
URL:
Keywords: InRadar
Depends on:
Blocks: 182769 202565
  Show dependency treegraph
 
Reported: 2019-10-03 22:33 PDT by Jiewen Tan
Modified: 2019-10-09 16:07 PDT (History)
6 users (show)

See Also:


Attachments
Patch (189.45 KB, patch)
2019-10-08 20:27 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff
Patch (205.92 KB, patch)
2019-10-09 01:53 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff
Patch (189.54 KB, patch)
2019-10-09 01:59 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff
Patch (190.43 KB, patch)
2019-10-09 11:56 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff
Patch (190.37 KB, patch)
2019-10-09 12:26 PDT, Jiewen Tan
cdumez: review+
cdumez: commit-queue-
Details | Formatted Diff | Diff
Patch for landing (190.48 KB, patch)
2019-10-09 14:53 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiewen Tan 2019-10-03 22:33:29 PDT
Figure out a way to bridge the current mock test infra into API test.
Comment 1 Radar WebKit Bug Importer 2019-10-03 22:33:47 PDT
<rdar://problem/55973793>
Comment 2 Jiewen Tan 2019-10-08 20:27:31 PDT
Created attachment 380496 [details]
Patch
Comment 3 Jiewen Tan 2019-10-09 01:53:03 PDT
Created attachment 380518 [details]
Patch
Comment 4 Jiewen Tan 2019-10-09 01:59:58 PDT
Created attachment 380520 [details]
Patch
Comment 5 Jiewen Tan 2019-10-09 11:56:22 PDT
Created attachment 380550 [details]
Patch
Comment 6 Jiewen Tan 2019-10-09 12:26:05 PDT
Created attachment 380555 [details]
Patch
Comment 7 Chris Dumez 2019-10-09 12:29:59 PDT
Comment on attachment 380555 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=380555&action=review

> Source/WebCore/ChangeLog:9
> +        This patch moves TestRunner.setWebAuthenticationMockConfiguration to

Could you please explain the motivation behind this change? I looked at the patch and it is really not obvious to me why the new approach is better, considering that you need to IPC the UIProcess from WebCore using the ChromeClient now.
TestRunner makes the IPC to the UIProcess trivial for you.
Comment 8 Jiewen Tan 2019-10-09 12:32:40 PDT
(In reply to Chris Dumez from comment #7)
> Comment on attachment 380555 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=380555&action=review
> 
> > Source/WebCore/ChangeLog:9
> > +        This patch moves TestRunner.setWebAuthenticationMockConfiguration to
> 
> Could you please explain the motivation behind this change? I looked at the
> patch and it is really not obvious to me why the new approach is better,
> considering that you need to IPC the UIProcess from WebCore using the
> ChromeClient now.
> TestRunner makes the IPC to the UIProcess trivial for you.

I need to use the mock infrastructure in API tests. I should add it to the ChangeLog.
Comment 9 Chris Dumez 2019-10-09 13:20:00 PDT
Comment on attachment 380555 [details]
Patch

r=me but please improve change log before landing.
Comment 10 Jiewen Tan 2019-10-09 14:53:42 PDT
Created attachment 380572 [details]
Patch for landing
Comment 11 Jiewen Tan 2019-10-09 14:54:05 PDT
(In reply to Chris Dumez from comment #9)
> Comment on attachment 380555 [details]
> Patch
> 
> r=me but please improve change log before landing.

Thanks, Chris. Fixed the ChangeLog.
Comment 12 WebKit Commit Bot 2019-10-09 16:03:15 PDT
Comment on attachment 380572 [details]
Patch for landing

Clearing flags on attachment: 380572

Committed r250940: <https://trac.webkit.org/changeset/250940>